Skip to main content
Resource Center/Resource Pool/Auto-Scaling Group Operations
GETAuto-Scaling Group OperationsSince 3.1.0SynchronousAuth Required

QueryAutoScalingGroupInstance

QueryAutoScalingGroupInstance

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • instanceUuidStringRequired

      The VM instance UUID.

    • scalingGroupUuidStringRequired

      The UUID of the auto scaling group.

    • templateUuidStringRequired

      The UUID of the VM instance template in the auto scaling group.

    • scalingGroupActivityUuidStringRequired

      The UUID of the auto scaling activity.

    • statusStringRequired

      The status of the VM instance in the auto scaling group.

    • healthStatusStringRequired

      The health status of the VM instance in the auto scaling group.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • protectionStrategyStringRequired

      The instance protection strategy.

Endpoint

GET/zstack/v1/autoscaling/groups/instances

/zstack/v1/autoscaling/groups/instances

Operation ID

QueryAutoScalingGroupInstance

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/autoscaling/groups/instances' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "c23dc6fd3dd13436b5d65b0a4d328f2c", "instanceUuid": "1dcb05b79b2b3a61b74114ff3aa00266", "description": "just for test", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history